@echo off
cls
echo (%%systemroot%% is %systemroot%.)
echo.
echo This can take quite a long time to complete, so please be patient.
echo.
echo -------------------------------
echo Step 1: ANALYZING DIFFERENCES...
echo (logging to %systemroot%\security\logs\secanalyze.log)
echo.
secedit.exe /analyze /db %systemroot%\sectest.db /cfg %systemroot%\inf\defltwk.inf /log %systemroot%\security\logs\secanalyze.log
echo.
echo.
echo -------------------------------
echo Step 2: APPLYING CHANGES... 
echo (logging to %systemroot%\security\logs\secrepair.log)
echo.
secedit.exe /configure /db %systemroot%\sectest.db /cfg %systemroot%\inf\defltwk.inf /log %systemroot%\security\logs\secrepair.log
echo.
echo.
if NOT exist %systemroot%\repair\secsetup.inf goto END
echo -------------------------------
echo Step 3: APPLYING CUSTOMIZED CHANGES... 
echo (logging to %systemroot%\security\logs\secsetup.log)
echo This step may take a long time.  Please wait...
echo.
secedit.exe /configure /db %systemroot%\sectest.db /cfg %systemroot%\repair\secsetup.inf /log %systemroot%\security\logs\secrepair.log
:end
echo.
echo Done.
echo.
echo Press a key...
pause > nul
